package at.ac.uibk.gitsearch.domain;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Entity
public class ReviewComment implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @Column(nullable = true)
    private Boolean descriptionIsClear;

    @Column(nullable = true)
    private Boolean requirementsAreClear;

    @Column(nullable = true)
    private String descriptionComment;

    @Column(nullable = true)
    private Boolean informationRequiredComplete;

    @Column(nullable = true)
    private Boolean allMaterialsAvailable;

    @Column(nullable = true)
    private String informationRequiredComment;

    @Column(nullable = true)
    private Boolean isStructured;

    @Column(nullable = true)
    private Boolean subExercisesAreClear;

    @SuppressWarnings("PMD.LinguisticNaming")
    private String isStructuredComment;

    @Column(nullable = true)
    private Boolean solutionIsCorrect;

    @Column(nullable = true)
    private String solutionComment;

    @Column(nullable = true)
    private Boolean metadataIsComplete;

    @Column(nullable = true)
    private Boolean metadataIsCorrect;

    @Column(nullable = true)
    private String metadataComment;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Boolean getDescriptionIsClear() {
        return descriptionIsClear;
    }

    public void setDescriptionIsClear(Boolean descriptionIsClear) {
        this.descriptionIsClear = descriptionIsClear;
    }

    public Boolean getRequirementsAreClear() {
        return requirementsAreClear;
    }

    public void setRequirementsAreClear(Boolean requirementsAreClear) {
        this.requirementsAreClear = requirementsAreClear;
    }

    public String getDescriptionComment() {
        return descriptionComment;
    }

    public void setDescriptionComment(String descriptionComment) {
        this.descriptionComment = descriptionComment;
    }

    public Boolean getInformationRequiredComplete() {
        return informationRequiredComplete;
    }

    public void setInformationRequiredComplete(Boolean informationRequiredComplete) {
        this.informationRequiredComplete = informationRequiredComplete;
    }

    public Boolean getAllMaterialsAvailable() {
        return allMaterialsAvailable;
    }

    public void setAllMaterialsAvailable(Boolean allMaterialsAvailable) {
        this.allMaterialsAvailable = allMaterialsAvailable;
    }

    public String getInformationRequiredComment() {
        return informationRequiredComment;
    }

    public void setInformationRequiredComment(String informationRequiredComment) {
        this.informationRequiredComment = informationRequiredComment;
    }

    public Boolean getIsStructured() {
        return isStructured;
    }

    public void setIsStructured(Boolean isStructured) {
        this.isStructured = isStructured;
    }

    public Boolean getSubExercisesAreClear() {
        return subExercisesAreClear;
    }

    public void setSubExercisesAreClear(Boolean subExercisesAreClear) {
        this.subExercisesAreClear = subExercisesAreClear;
    }

    public String getIsStructuredComment() {
        return isStructuredComment;
    }

    public void setIsStructuredComment(String isStructuredComment) {
        this.isStructuredComment = isStructuredComment;
    }

    public Boolean getSolutionIsCorrect() {
        return solutionIsCorrect;
    }

    public void setSolutionIsCorrect(Boolean solutionIsCorrect) {
        this.solutionIsCorrect = solutionIsCorrect;
    }

    public String getSolutionComment() {
        return solutionComment;
    }

    public void setSolutionComment(String solutionComment) {
        this.solutionComment = solutionComment;
    }

    public Boolean getMetadataIsComplete() {
        return metadataIsComplete;
    }

    public void setMetadataIsComplete(Boolean metadataIsComplete) {
        this.metadataIsComplete = metadataIsComplete;
    }

    public Boolean getMetadataIsCorrect() {
        return metadataIsCorrect;
    }

    public void setMetadataIsCorrect(Boolean metadataIsCorrect) {
        this.metadataIsCorrect = metadataIsCorrect;
    }

    public String getMetadataComment() {
        return metadataComment;
    }

    public void setMetadataComment(String metadataComment) {
        this.metadataComment = metadataComment;
    }
}
